Bug 848299 - 3.1 beta2 Failed to break BOND when bridge VLAN interface with custome MTU attached to it
3.1 beta2 Failed to break BOND when bridge VLAN interface with custome MTU at...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 04:27 EDT by Meni Yakove
Modified: 2012-12-04 14:05 EST (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-29.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:05:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (1.12 MB, text/x-log)
2012-08-15 04:27 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-08-15 04:27:03 EDT
Created attachment 604546 [details]
vdsm.log

Description of problem:
I have BOND interface with bridge, VLAN and MTU 9000 configured on it, trying to break the BOND from SetupNetwork failed.



Version-Release number of selected component (if applicable):
vdsm-4.9.6-27.0.el6_3.x86_64

How reproducible:


Steps to Reproduce:
1.Create network net1 with VLAN 10 and MTU 9000 and attach it to cluster.
2.Open SetuoNetworks and create BOND > attach the network net1 to the BOND > apply
3.Open setupNetworks and break the BOND (right click on one of the interfaces on the BOND and remove ethX from BOND)
  
Actual results:
Failed to break the BOND interface

Expected results:
The operation should succeed
 
Additional info:

MainProcess|Thread-2960::INFO::2012-08-15 10:51:18,495::configNetwork::856::root::(delNetwork) Removing network net1 with vlan=10, bonding=bond2, nics=['eth0', 'eth1'],options={}
MainProcess|Thread-2960::INFO::2012-08-15 10:51:18,516::configNetwork::190::root::(restoreAtomicBackup) Rolling back configuration (restoring atomic backup)
MainProcess|Thread-2960::ERROR::2012-08-15 10:51:18,517::configNetwork::1261::setupNetworks::(setupNetworks) need more than 1 value to unpack
Traceback (most recent call last):
  File "/usr/share/vdsm/configNetwork.py", line 1203, in setupNetworks
    implicitBonding=False)
  File "/usr/share/vdsm/configNetwork.py", line 871, in delNetwork
    configWriter.setNewMtu(network)
  File "/usr/share/vdsm/configNetwork.py", line 448, in setNewMtu
    _, vlans = _netinfo.getBridgedNetworksAndVlansForIface(bonding)
ValueError: need more than 1 value to unpack
MainProcess|Thread-2960::ERROR::2012-08-15 10:51:18,534::supervdsmServer::61::SuperVdsm.ServerCallback::(wrapper) Error in setupNetworks
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsmServer.py", line 59, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/vdsm/supervdsmServer.py", line 107, in setupNetworks
    return configNetwork.setupNetworks(networks, bondings, **options)
  File "/usr/share/vdsm/configNetwork.py", line 1203, in setupNetworks
    implicitBonding=False)
  File "/usr/share/vdsm/configNetwork.py", line 871, in delNetwork
    configWriter.setNewMtu(network)
  File "/usr/share/vdsm/configNetwork.py", line 448, in setNewMtu
    _, vlans = _netinfo.getBridgedNetworksAndVlansForIface(bonding)
ValueError: need more than 1 value to unpack
Thread-2960::ERROR::2012-08-15 10:51:18,535::BindingXMLRPC::879::vds::(wrapper) unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/BindingXMLRPC.py", line 869, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/BindingXMLRPC.py", line 346, in setupNetworks
    return api.setupNetworks(networks, bondings, options)
  File "/usr/share/vdsm/API.py", line 1115, in setupNetworks
    supervdsm.getProxy().setupNetworks(networks, bondings, options)
  File "/usr/share/vdsm/supervdsm.py", line 59, in __call__
    return callMethod()
  File "/usr/share/vdsm/supervdsm.py", line 57, in <lambda>
    callMethod = lambda : getattr(self._supervdsmProxy._svdsm, self._funcName)(*args, **kwargs)
  File "<string>", line 2, in setupNetworks
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 740, in _callmethod
    raise convert_to_error(kind, result)
ValueError: need more than 1 value to unpack
Comment 1 Igor Lvovsky 2012-08-16 05:09:17 EDT
http://gerrit.ovirt.org/#/c/7214/
Comment 3 Meni Yakove 2012-08-23 02:21:50 EDT
Verified on vdsm-4.9.6-29.0.el6_3.x86_64
Comment 6 errata-xmlrpc 2012-12-04 14:05:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.